Update an Asset
curl --request PATCH \
--url https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Account-ID: <api-key>' \
--data '
{
"title": "Chief Technology Officer",
"important": true,
"contact_methods": [
{
"type": "Email",
"value": "jane.smith.new@example.com"
},
{
"type": "Mobile",
"value": "+1-555-0456"
}
],
"visibility": "restricted"
}
'import requests
url = "https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}"
payload = {
"title": "Chief Technology Officer",
"important": True,
"contact_methods": [
{
"type": "Email",
"value": "jane.smith.new@example.com"
},
{
"type": "Mobile",
"value": "+1-555-0456"
}
],
"visibility": "restricted"
}
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Account-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Chief Technology Officer',
important: true,
contact_methods: [
{type: 'Email', value: 'jane.smith.new@example.com'},
{type: 'Mobile', value: '+1-555-0456'}
],
visibility: 'restricted'
})
};
fetch('https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"organization_id": "019983a9-c4bf-77da-a35b-5eb177b7b859",
"organization_name": "Acme Corporation",
"visibility": "inherit",
"owned_by": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"title": "CTO",
"important": true,
"contact_type": "Decision Maker",
"contact_methods": [
{
"type": "Email",
"value": "john.doe@example.com"
},
{
"type": "Mobile",
"value": "+1-555-0123"
}
],
"preferred_contact_method": "Email",
"references": {
"location": "019983a9-c4c1-7abc-def0-123456789abc"
},
"created_at": "2024-01-15T10:30:00.000Z",
"updated_at": "2024-01-20T14:45:00.000Z",
"created_by": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"updated_by": "019983a9-c4c0-73af-aec9-463feeadc2e7"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Assets
Update an Asset
Update an existing asset
PATCH
/
v1
/
assets
/
{assetTypeName}
/
{assetId}
Update an Asset
Authorizations
Bearer token
Account ID
Body
application/json
Partial asset data to update (structure depends on asset type definition)
Response
Asset with dynamic properties from asset type definition spread at root level
Asset with dynamic properties from asset type definition spread at root level
Asset unique identifier
Organization ID
Organization name
Asset visibility setting
Available options:
inherit, private, restricted User ID of asset owner
Expanded tags (only present when expand=tags is used)
Show child attributes
Show child attributes
Asset references (IDs or expanded assets)
Deletion timestamp
User ID who created
User ID who last updated
Was this page helpful?
⌘I